Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasypt.spring31.properties
Class EncryptablePropertySourcesPlaceholderConfigurer

    Object
      org.springframework.core.io.support.PropertiesLoaderSupport
          org.springframework.beans.factory.config.PropertyResourceConfigurer
              org.springframework.beans.factory.config.PlaceholderConfigurerSupport
                  org.springframework.context.support.PropertySourcesPlaceholderConfigurer
                      org.jasypt.spring31.properties.EncryptablePropertySourcesPlaceholderConfigurer

All Implemented Interfaces:
  org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanFactoryAware, org.springframework.beans.factory.BeanNameAware, org.springframework.beans.factory.config.BeanFactoryPostProcessor, org.springframework.context.EnvironmentAware, org.springframework.core.Ordered, org.springframework.core.PriorityOrdered

    public final class EncryptablePropertySourcesPlaceholderConfigurer

extends org.springframework.context.support.PropertySourcesPlaceholderConfigurer

Since:
  1.9.0
Author:
  Daniel Fernández

Field Summary

Fields inherited from class org.springframework.context.support.PropertySourcesPlaceholderConfigurer
`ENVIRONMENT_PROPERTIES_PROPERTY_SOURCE_NAME, LOCAL_PROPERTIES_PROPERTY_SOURCE_NAME`

Fields inherited from class org.springframework.beans.factory.config.PlaceholderConfigurerSupport
`DEFAULT_PLACEHOLDER_PREFIX, DEFAULT_PLACEHOLDER_SUFFIX, DEFAULT_VALUE_SEPARATOR, ignoreUnresolvablePlaceholders, nullValue, placeholderPrefix, placeholderSuffix, valueSeparator`

Fields inherited from class org.springframework.core.io.support.PropertiesLoaderSupport
`localOverride, localProperties, logger, XML_FILE_EXTENSION`

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Constructor Summary
`EncryptablePropertySourcesPlaceholderConfigurer(org.jasypt.encryption.StringEncryptor stringEncryptor)` Creates an `EncryptablePropertyPlaceholderConfigurer` instance which will use the passed `StringEncryptor` object to decrypt encrypted values.
`EncryptablePropertySourcesPlaceholderConfigurer(org.jasypt.util.text.TextEncryptor textEncryptor)` Creates an `EncryptablePropertyPlaceholderConfigurer` instance which will use the passed `TextEncryptor` object to decrypt encrypted values.

Method Summary
`protected void` | `convertProperties(Properties props)`
`protected String` | `convertPropertyValue(String originalValue)`
`protected Properties` | `mergeProperties()`

Methods inherited from class org.springframework.context.support.PropertySourcesPlaceholderConfigurer
`postProcessBeanFactory, processProperties, processProperties, setEnvironment, setPropertySources`

Methods inherited from class org.springframework.beans.factory.config.PlaceholderConfigurerSupport
`doProcessProperties, setBeanFactory, setBeanName, setIgnoreUnresolvablePlaceholders, setNullValue, setPlaceholderPrefix, setPlaceholderSuffix, setValueSeparator`

Methods inherited from class org.springframework.beans.factory.config.PropertyResourceConfigurer
`convertProperty, getOrder, setOrder`

Methods inherited from class org.springframework.core.io.support.PropertiesLoaderSupport
`loadProperties, setFileEncoding, setIgnoreResourceNotFound, setLocalOverride, setLocation, setLocations, setProperties, setPropertiesArray, setPropertiesPersister`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptablePropertySourcesPlaceholderConfigurer

    public EncryptablePropertySourcesPlaceholderConfigurer(org.jasypt.encryption.StringEncryptor stringEncryptor)

  Creates an `EncryptablePropertyPlaceholderConfigurer` instance which will use the passed `StringEncryptor` object to decrypt encrypted values.

  Parameters:
    `stringEncryptor` - the `StringEncryptor` to be used do decrypt values. It can not be null.

### EncryptablePropertySourcesPlaceholderConfigurer

    public EncryptablePropertySourcesPlaceholderConfigurer(org.jasypt.util.text.TextEncryptor textEncryptor)

  Creates an `EncryptablePropertyPlaceholderConfigurer` instance which will use the passed `TextEncryptor` object to decrypt encrypted values.

  Parameters:
    `textEncryptor` - the `TextEncryptor` to be used do decrypt values. It can not be null.

Method Detail

### mergeProperties

    protected Properties mergeProperties()
                                  throws IOException

  Overrides:
    `mergeProperties` in class `org.springframework.core.io.support.PropertiesLoaderSupport`
  Throws:
    `IOException`

### convertProperties

    protected void convertProperties(Properties props)

  Overrides:
    `convertProperties` in class `org.springframework.beans.factory.config.PropertyResourceConfigurer`

### convertPropertyValue

    protected String convertPropertyValue(String originalValue)

  Overrides:
    `convertPropertyValue` in class `org.springframework.beans.factory.config.PropertyResourceConfigurer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 The JASYPT team. All Rights Reserved.